clear all; close all; clc;

%% Paramtres du Labyrinthe

% Params taille d'affichage
sz=10;
tile_sz=100;

% Params gnrateurs alatoires 
tangling_steps=300;
growing_steps=900;

%% Gnration 

% Labyrinthe 1: 10x10
[elements,t_set] = Maze_gen( sz,tangling_steps,growing_steps);
img_maze = Plot_maze( elements,t_set,tile_sz);

% Labyrinthe 2: 10x10
[elements,t_set] = Maze_gen(1.5*sz,tangling_steps,growing_steps);
img_maze_1 = Plot_maze( elements,t_set,tile_sz);

% Labyrinthe 3: 10x10
[elements,t_set] = Maze_gen(2*sz,tangling_steps,growing_steps);
img_maze_2 = Plot_maze( elements,t_set,tile_sz);

% Labyrinthe 4: 10x10
[elements,t_set] = Maze_gen(2.5*sz,tangling_steps,growing_steps);
img_maze_3 = Plot_maze( elements,t_set,tile_sz);


%% Affichage

figure(1); imshow(img_maze); title('Maze size 10x10'); axis square; axis on;
figure(2); imshow(img_maze_1); title('Maze size 15x15'); axis square; axis on;
figure(3); imshow(img_maze_2); title('Maze size 20x20'); axis square; axis on;
figure(4); imshow(img_maze_3); title('Maze size 25x25'); axis square; axis on;


